Bug 101454 - Installer unable to work
Installer unable to work
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2003-08-01 08:19 EDT by John F. Godfrey, Pastor
Modified: 2013-07-02 22:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-08-22 11:30:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John F. Godfrey, Pastor 2003-08-01 08:19:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
I have a D-Link USB to ethernet adapter.  It is not recognized by the current
installer or drvnet.img.  There is a working driver available and I'm using it
now with version 9.0.  Would you please include the driver in the next
distribution.  Also, is there a way I can somehow use this driver to install
now?  The driver is available from Dave Hollis at dhollis@davehollis.com.  It is
ax8817x-2.4 and works with other usb to ethernet adapters as well.  Thanks so
much for your help and a speedy response!

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Boot the system with bootdisk.img and get to where it asks for how I'm going
to install.
2.I tell it via ftp, intending to use the iso images on another machine on my
3.The drvnet.img disk is inserted, but nothing is recognized, nor is the adapter
recognized in any other way.

Actual Results:  Was unable to install Redhat Linux 9.0 on my laptop

Expected Results:  The adapter should have been recognized and I should have
been able to install via ftp.

Additional info:
Comment 1 Michael K. Johnson 2003-08-07 19:47:16 EDT
If a driver has not been included in the upstream kernel, we don't
add it without a very good reason, and even then only as a temporary
measure.  If the author of the driver thinks it is not good enough
to go upstream, we consider that a reason that it isn't good enough
for our distribution, either...  Basically, for us to maintain a
large collection of drivers means that the collection would be
constantly out of date.  That's one of the points of having one
upstream source: a single place where drivers are kept up to date.

Jeff, do you know about this driver?
Comment 2 Dave Jones 2003-08-07 19:57:45 EDT
Driver has been in 2.4 mainline since June 2003.
Comment 3 Bill Nottingham 2003-08-22 11:30:42 EDT
The driver is present. USB network installation support is not implemented, however.
Comment 4 Bill Nottingham 2003-08-22 22:33:47 EDT
The driver itself (ax8817x.o) is in the Severn beta kernel, FWIW.

Note You need to log in before you can comment on or make changes to this bug.